'use strict';

const codegenTasks = require('./codegen-tasks.cjs');
require('./routes-manifest.cjs');
require('path');
require('os');
require('fs');
require('fs-extra');
require('watchpack');
require('./find-node-modules.cjs');
require('find-up');
require('findup-sync');
require('resolve-from');
require('./helpers.cjs');
require('cross-spawn');
require('./logging.cjs');
require('tslog');
require('chalk');
require('console-table-printer');
require('ora');
require('readline');
require('resolve-cwd');
require('./run-prisma.cjs');
require('p-event');
require('semver');

var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
const codegen = () => __async(void 0, null, function* () {
  try {
    yield codegenTasks.codegenTasks();
    process.exit(0);
  } catch (err) {
    console.log(err);
    process.exit(1);
  }
});

exports.codegen = codegen;
