import { c as codegenTasks } from './codegen-tasks.mjs';
import './routes-manifest.mjs';
import 'path';
import 'os';
import 'fs';
import 'fs-extra';
import 'watchpack';
import './find-node-modules.mjs';
import 'find-up';
import 'findup-sync';
import 'resolve-from';
import './helpers.mjs';
import 'cross-spawn';
import './logging.mjs';
import 'tslog';
import 'chalk';
import 'console-table-printer';
import 'ora';
import 'readline';
import 'resolve-cwd';
import './run-prisma.mjs';
import 'p-event';
import 'semver';

var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
const codegen = () => __async(void 0, null, function* () {
  try {
    yield codegenTasks();
    process.exit(0);
  } catch (err) {
    console.log(err);
    process.exit(1);
  }
});

export { codegen };
