'use strict';

const arg = require('arg');
const path = require('path');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const arg__default = /*#__PURE__*/_interopDefaultLegacy(arg);

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve2, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve2(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
const nextExport = () => __async(void 0, null, function* () {
  const nextArgs = arg__default(
    {
      "--help": Boolean,
      "--outdir": String,
      "-h": "--help",
      "-o": "--outdir"
    },
    {
      permissive: true
    }
  );
  const config = __spreadProps(__spreadValues({
    rootFolder: process.cwd()
  }, nextArgs["--outdir"] && { outdir: path.resolve(nextArgs["--outdir"]) }), {
    env: process.env.NODE_ENV === "production" ? "prod" : "dev"
  });
  const getHelp = () => __async(void 0, null, function* () {
    if (nextArgs["--help"]) {
      console.log(`
Description
  Exports your Blitz app as a static application. Make sure to run "blitz build" before!

Usage
  $ blitz export [options] <dir>

<dir> represents the directory of the Blitz.js application. If no directory is provided, the current directory will be used.

Options
  --help -h \u2014 help
  -o \u2014 set the output dir (default: '/out')
      `);
      process.exit(0);
    }
  });
  yield getHelp();
  yield import('./next-commands.cjs').then((i) => i.blitzExport(config));
});

exports.nextExport = nextExport;
