'use strict';

const findUp = require('find-up');
const findupSync = require('findup-sync');
const resolveFrom = require('resolve-from');
const helpers = require('./helpers.cjs');
const path = require('path');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const findUp__default = /*#__PURE__*/_interopDefaultLegacy(findUp);
const findupSync__default = /*#__PURE__*/_interopDefaultLegacy(findupSync);
const resolveFrom__default = /*#__PURE__*/_interopDefaultLegacy(resolveFrom);

var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
function findNodeModulesRoot() {
  return __async(this, arguments, function* (src = process.cwd()) {
    var _a;
    let root;
    if (helpers.isInternalBlitzMonorepoDevelopment) {
      root = path.join(__dirname, "..", "..", "..", "..", "/node_modules");
    } else {
      const blitzPkgLocation = path.dirname(
        (_a = yield findUp__default("package.json", {
          cwd: resolveFrom__default(src, "blitz")
        })) != null ? _a : ""
      );
      if (!blitzPkgLocation) {
        throw new Error("Internal Blitz Error: unable to find 'blitz' package location");
      }
      if (blitzPkgLocation.includes(".pnpm")) {
        root = path.join(blitzPkgLocation, "../../../../");
      } else {
        root = path.join(blitzPkgLocation, "../");
      }
    }
    return root;
  });
}
function findNodeModulesRootSync(src = process.cwd()) {
  const location = findupSync__default("package.json", { cwd: src });
  if (location) {
    return path.join(location, "..", "node_modules") + "/";
  } else {
    throw new Error("Blitz Internal Error: unable to find root package.json file location");
  }
}

exports.findNodeModulesRoot = findNodeModulesRoot;
exports.findNodeModulesRootSync = findNodeModulesRootSync;
