import findUp from 'find-up';
import findupSync from 'findup-sync';
import resolveFrom from 'resolve-from';
import { i as isInternalBlitzMonorepoDevelopment } from './helpers.mjs';
import { join, dirname } from 'path';

var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
function findNodeModulesRoot() {
  return __async(this, arguments, function* (src = process.cwd()) {
    var _a;
    let root;
    if (isInternalBlitzMonorepoDevelopment) {
      root = join(__dirname, "..", "..", "..", "..", "/node_modules");
    } else {
      const blitzPkgLocation = dirname(
        (_a = yield findUp("package.json", {
          cwd: resolveFrom(src, "blitz")
        })) != null ? _a : ""
      );
      if (!blitzPkgLocation) {
        throw new Error("Internal Blitz Error: unable to find 'blitz' package location");
      }
      if (blitzPkgLocation.includes(".pnpm")) {
        root = join(blitzPkgLocation, "../../../../");
      } else {
        root = join(blitzPkgLocation, "../");
      }
    }
    return root;
  });
}
function findNodeModulesRootSync(src = process.cwd()) {
  const location = findupSync("package.json", { cwd: src });
  if (location) {
    return join(location, "..", "node_modules") + "/";
  } else {
    throw new Error("Blitz Internal Error: unable to find root package.json file location");
  }
}

export { findNodeModulesRootSync as a, findNodeModulesRoot as f };
