'use strict';

const fs = require('fs-extra');
const spawn = require('cross-spawn');
const path = require('path');

function getGlobalPkgManager() {
  let pkgManager = "npm";
  try {
    const spawnPnpm = spawn.sync("pnpm", ["--version"], {
      stdio: "ignore"
    });
    if (!spawnPnpm.error && pkgManager === "npm") {
      pkgManager = "pnpm";
    }
  } catch (err) {
    console.log(err);
  }
  try {
    const spawnYarn = spawn.sync("yarn", ["--version"], {
      stdio: "ignore"
    });
    if (!spawnYarn.error && pkgManager === "npm") {
      pkgManager = "yarn";
    }
  } catch (err) {
    console.log(err);
  }
  return pkgManager;
}
function getPkgManager() {
  return fs.readdirSync(process.cwd()).includes("pnpm-lock.yaml") ? "pnpm" : fs.readdirSync(process.cwd()).includes("yarn-lock.yaml") ? "yarn" : "npm";
}
const isInternalBlitzMonorepoDevelopment = fs.existsSync(path.join(process.cwd(), "..", "..", "packages", "blitz", "dist", "chunks")) && fs.existsSync(path.join(process.cwd(), "..", "..", "packages", "blitz-next", "dist", "chunks"));

exports.getGlobalPkgManager = getGlobalPkgManager;
exports.getPkgManager = getPkgManager;
exports.isInternalBlitzMonorepoDevelopment = isInternalBlitzMonorepoDevelopment;
